# _EBADF
<span class="source-link">[[Source]](src/files/file.md#L31)</span>
```pony
primitive val _EBADF
```

## Constructors

### create
<span class="source-link">[[Source]](src/files/file.md#L31)</span>


```pony
new val create()
: _EBADF val^
```

#### Returns

* [_EBADF](files-_EBADF) val^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/files/file.md#L32)</span>


```pony
fun box apply()
: I32 val
```

#### Returns

* [I32](builtin-I32) val

---

### eq
<span class="source-link">[[Source]](src/files/file.md#L32)</span>


```pony
fun box eq(
  that: _EBADF val)
: Bool val
```
#### Parameters

*   that: [_EBADF](files-_EBADF) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/files/file.md#L32)</span>


```pony
fun box ne(
  that: _EBADF val)
: Bool val
```
#### Parameters

*   that: [_EBADF](files-_EBADF) val

#### Returns

* [Bool](builtin-Bool) val

---

